Last Comment Bug 673382 - Upgrade Mozilla to NSS 3.12.11 and NSPR 4.8.9
: Upgrade Mozilla to NSS 3.12.11 and NSPR 4.8.9
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Security: PSM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla8
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
: 674564 (view as bug list)
Depends on: 698342 698344
Blocks: 674883
  Show dependency treegraph
 
Reported: 2011-07-22 03:52 PDT by Kai Engert (:kaie)
Modified: 2011-12-16 13:33 PST (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Update NSS to NSS_3_12_11_BETA1 (221 bytes, text/plain)
2011-07-27 07:14 PDT, Wan-Teh Chang
no flags Details
Update NSS to NSS_3_12_11_BETA1 (fixed typo in commit message) (222 bytes, text/plain)
2011-07-27 07:16 PDT, Wan-Teh Chang
kaie: review+
Details
Update NSPR to NSPR_4_8_9_BETA4 (171 bytes, text/plain)
2011-07-28 07:14 PDT, Wan-Teh Chang
kaie: review+
Details

Description Kai Engert (:kaie) 2011-07-22 03:52:16 PDT
Upgrade Mozilla to NSS 3.12.11
We want to do that as soon as possible, likely within one week from today.

Do people want/require a new NSPR release at the same time?
Comment 1 Ted Mielczarek [:ted.mielczarek] 2011-07-22 06:25:10 PDT
We have a number of patches that have landed in NSPR CVS that we'd like to take in mozilla-central, so I think that would be good.
Comment 2 Kai Engert (:kaie) 2011-07-22 07:20:39 PDT
ok, let's release NSPR 4.8.9, too ?
Comment 3 Wan-Teh Chang 2011-07-27 07:14:05 PDT
Created attachment 548769 [details]
Update NSS to NSS_3_12_11_BETA1

Kai, I just created the NSS_3_12_11_BETA1 CVS tag and
reviewed its contents.

Can you push NSS_3_12_11_BETA1 to mozilla-central today?
People are waiting for the Linux 3.0 and clang build fixes.

Please use this attachment as the hg commit message.

Thank you.
Comment 4 Wan-Teh Chang 2011-07-27 07:16:14 PDT
Created attachment 548771 [details]
Update NSS to NSS_3_12_11_BETA1 (fixed typo in commit message)

I added a closing parenthesis ')'.
Comment 5 Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2011-07-27 09:50:19 PDT
*** Bug 674564 has been marked as a duplicate of this bug. ***
Comment 6 Kai Engert (:kaie) 2011-07-27 11:55:10 PDT
Thanks Wan-Teh for checking in the NSS beta 1.
http://hg.mozilla.org/mozilla-central/rev/35f95308fa08
Comment 7 Wan-Teh Chang 2011-07-28 07:14:58 PDT
Created attachment 549100 [details]
Update NSPR to NSPR_4_8_9_BETA4
Comment 8 Kai Engert (:kaie) 2011-07-28 07:21:17 PDT
Comment on attachment 549100 [details]
Update NSPR to NSPR_4_8_9_BETA4

r=kaie, but ideally someone should run a try-build prior to checkin
Comment 9 Robert Kaiser (not working on stability any more) 2011-07-28 07:22:43 PDT
(In reply to comment #3)
> Can you push NSS_3_12_11_BETA1 to mozilla-central today?

Are there plans to get this into Aurora and Beta as well?
Comment 10 Mike Hommey [:glandium] 2011-07-28 07:24:33 PDT
(In reply to comment #8)
> Comment on attachment 549100 [details]
> Update NSPR to NSPR_4_8_9_BETA4
> 
> r=kaie, but ideally someone should run a try-build prior to checkin

It would have been better to have bug 674880 in as well :(
Comment 11 Kai Engert (:kaie) 2011-08-04 17:02:23 PDT
We want to upgrade mozilla-central to NSS 3.12.11 beta 2.
I have r=wtc over phone for this.

Changes are bug 671002 and bug 217721.
Comment 13 Marco Bonardo [::mak] 2011-08-05 09:05:37 PDT
http://hg.mozilla.org/mozilla-central/rev/e7987c08ae94

should this be closed or stay open?
Comment 14 Kai Engert (:kaie) 2011-08-05 09:29:50 PDT
stays open until non-beta, release versions are landed.
Comment 16 Kai Engert (:kaie) 2011-08-10 05:11:03 PDT
I've landed the final releases into mozilla-central. Marking fixed.

All code was already present in mozilla-central, this only changes version numbers.

http://hg.mozilla.org/mozilla-central/rev/cbd47dd5a6a1
Comment 17 Mike Kaply [:mkaply] (Out June 27-July 5) 2011-12-16 13:33:31 PST
This appears to have caused a regression related to signed XPIs:

https://bugzilla.mozilla.org/show_bug.cgi?id=702364

Note You need to log in before you can comment on or make changes to this bug.